Bug 511336 - Review Request: apa-new-athena-unicode-fonts - New Athena Unicode is a freeware multilingual font
Review Request: apa-new-athena-unicode-fonts - New Athena Unicode is a freewa...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ankur Sinha (FranciscoD)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-14 14:26 EDT by Ankur Sinha (FranciscoD)
Modified: 2009-08-04 20:38 EDT (History)
3 users (show)

See Also:
Fixed In Version: 3.4-2.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-08-04 20:37:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
nicolas.mailhot: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Ankur Sinha (FranciscoD) 2009-07-14 14:26:38 EDT
Spec URL: apa-new-athena-unicode-fonts.spec 
SRPM URL: http://ankursinha.fedorapeople.org/athena/apa-new-athena-unicode-fonts-3.4-1.fc10.src.rpm

Description: New Athena Unicode is a freeware multilingual font distributed by the American Philological Association. It follows the latest version of the Unicode standard and includes characters for English and Western European languages, polytonic Greek, Coptic, Old Italic, and Demotic Egyptian transliteration, as well as metrical symbols and other characters used by classical scholars.


I'm not sure of the fontconf priority. Given it 65. Please let me know if it needs to be changed.
Comment 1 Ankur Sinha (FranciscoD) 2009-07-14 14:31:13 EDT
Rest of the mock build's results can be found here:

http://ankursinha.fedorapeople.org/athena/
Comment 2 Nicolas Mailhot 2009-07-15 12:29:38 EDT
1. spec guidelines-conformant
2. fontconfig snippet from our templates
3. legal already reviewed

ϯϯϯ APPROVED ϯϯϯ

The fontconfig prio should probalby be 64 as it's mainly a LGC font. You're right to use a high number, however, as it's not really general-purpose.

Also, the description and summary on
http://fedoraproject.org/wiki/APA_New_Athena_Unicode_fonts

are probably cleaner. “Freeware” is going to annoy a lot of people if you keep it.

As usual you can continue from
http://fedoraproject.org/wiki/Font_package_lifecycle#3.a

Thank you for packaging so many fonts for Fedora!
Comment 3 Ankur Sinha (FranciscoD) 2009-07-15 14:04:34 EDT
(In reply to comment #2)
> 1. spec guidelines-conformant
> 2. fontconfig snippet from our templates
> 3. legal already reviewed
> 
> ϯϯϯ APPROVED ϯϯϯ
> 
> The fontconfig prio should probalby be 64 as it's mainly a LGC font. You're
> right to use a high number, however, as it's not really general-purpose.
> 
> Also, the description and summary on
> http://fedoraproject.org/wiki/APA_New_Athena_Unicode_fonts
> 
> are probably cleaner. “Freeware” is going to annoy a lot of people if you keep
> it.
> 
> As usual you can continue from
> http://fedoraproject.org/wiki/Font_package_lifecycle#3.a
> 
> Thank you for packaging so many fonts for Fedora!  

continuing from cvs request etc. 

corrected spec as per your comment:

http://ankursinha.fedorapeople.org/athena/apa-new-athena-unicode-fonts.spec

http://ankursinha.fedorapeople.org/athena/apa-new-athena-unicode-fonts-3.4-2.fc10.src.rpm

http://ankursinha.fedorapeople.org/athena/

regards,

Ankur
Comment 4 Ankur Sinha (FranciscoD) 2009-07-15 14:16:29 EDT
New Package CVS Request
=======================
Package Name: apa-new-athena-unicode-fonts
Short Description: New Athena Unicode is a libre/open multilingual font
Owners: ankursinha
Branches: F-10 F-11
InitialCC: fonts-sig
Comment 5 Kevin Fenzi 2009-07-16 01:48:29 EDT
cvs done.
Comment 6 Fedora Update System 2009-07-16 02:16:30 EDT
apa-new-athena-unicode-fonts-3.4-2.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/apa-new-athena-unicode-fonts-3.4-2.fc10
Comment 7 Fedora Update System 2009-07-16 02:18:14 EDT
apa-new-athena-unicode-fonts-3.4-2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/apa-new-athena-unicode-fonts-3.4-2.fc11
Comment 8 Fedora Update System 2009-07-19 06:13:18 EDT
apa-new-athena-unicode-fonts-3.4-2.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update apa-new-athena-unicode-fonts'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-7725
Comment 9 Fedora Update System 2009-07-19 06:36:29 EDT
apa-new-athena-unicode-fonts-3.4-2.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update apa-new-athena-unicode-fonts'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-7793
Comment 10 Fedora Update System 2009-08-04 20:37:36 EDT
apa-new-athena-unicode-fonts-3.4-2.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2009-08-04 20:38:07 EDT
apa-new-athena-unicode-fonts-3.4-2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.